# Uses of Interface
org.opensaml.xmlsec.encryption.RecipientKeyInfo

Packages that use RecipientKeyInfo
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of RecipientKeyInfo in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return RecipientKeyInfo
Modifier and Type
Method
Description
`RecipientKeyInfo`
AgreementMethod.`getRecipientKeyInfo()`
Get the child element containing the key generation material for the recipient.
Methods in org.opensaml.xmlsec.encryption with parameters of type RecipientKeyInfo
Modifier and Type
Method
Description
`void`
AgreementMethod.`setRecipientKeyInfo(RecipientKeyInfo newRecipientKeyInfo)`
Set the child element containing the key generation material for the recipient.

## Uses of RecipientKeyInfo in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement RecipientKeyInfo
Modifier and Type
Class
Description
`class`
`RecipientKeyInfoImpl`
Concrete implementation of `RecipientKeyInfo`.
Fields in org.opensaml.xmlsec.encryption.impl declared as RecipientKeyInfo
Modifier and Type
Field
Description
`private RecipientKeyInfo`
AgreementMethodImpl.`recipientKeyInfo`
RecipientKeyInfo child element value.
Methods in org.opensaml.xmlsec.encryption.impl that return RecipientKeyInfo
Modifier and Type
Method
Description
`RecipientKeyInfo`
RecipientKeyInfoBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`RecipientKeyInfo`
RecipientKeyInfoBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`RecipientKeyInfo`
AgreementMethodImpl.`getRecipientKeyInfo()`
Get the child element containing the key generation material for the recipient.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type RecipientKeyInfo
Modifier and Type
Method
Description
`void`
AgreementMethodImpl.`setRecipientKeyInfo(RecipientKeyInfo newRecipientKeyInfo)`
Set the child element containing the key generation material for the recipient.